Subject: [Shop-talk] New Generac XG8000

From: john Mitchell <[email-masked]>
Date: Sat, 14 Dec 2013 17:32:03 -0500

I just purchased a new Generac 8000 watt generator with electric start.  
The generator lives in an unheated shed and as with my old generator, I 
would remove the battery and leave it on a trickle charger in my 
basement until needed in an emergency.  On this generator, the battery 
looks to be a real job to replace quickly and has a small female 
receptacle for a 12 volt transformer(like a big cell phone charger) to 
keep the battery charged.  The manual says not to leave it plugged in 
for more than 48 hours.  Any suggestions for a trickle type charger with 
electronics to control the charge and that I can leave plugged in 
throughout the winter?  Thanks John Mitchell
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive